using Microsoft.Xna.Framework;

namespace Xfinity.AI.Entities
{
    /// <summary>
    /// An entity that doesn't have a physical presence.
    /// </summary>
    public class LogicalEntity:Entity
    {
        /// <summary>
        /// Constructs a new logical entity.
        /// </summary>
        /// <param name="name">The name of the entity.</param>
        /// <param name="game">The Game.</param>
        public LogicalEntity(string name, Game game):base(name,game)
        {

        }
        public LogicalEntity():this("",null)
        {

        }
    }
}
