using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Xfinity.Entities
{
    public interface IPhysicalEntity:IDrawable,IUpdateable, IGameComponent
    {
        event EventHandler Death;
        Model Model { get; set;}
        float Health { get; set; }
        float Mass { get; set; }
        Vector3 Position { get; set; }

        void Draw();

        void LoadGraphics(bool loadAllContent);
    }
}
