using Microsoft.Xna.Framework;
using Xfinity.Entities.Managers;

namespace Xfinity.Physics
{
    public class PhysicsManager : GlobalManager
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PhysicsManager"/> class.
        /// </summary>
        /// <param name="game">Game the game component should be attached to.</param>
        public PhysicsManager(Game game)
            : base("Physics manager", false, game)
        {
        }



        private static Vector3 g = new Vector3(0, -9.81f, 0);

        public static Vector3 GlobalGravity
        {
            get { return g; }
            set { g = value; }
        }
    }
}
