using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Xfinity;
using Xfinity.Settings;

namespace Xfinity.Settings
{
    public partial class SettingsPage : Form
    {
        IPauseHolder pause;
        public SettingsPage()
        {

            InitializeComponent();
        }
        public void SetPause(IPauseHolder manager)
        {
            pause = manager;
        }
        private void SettingsPage_Load(object sender, EventArgs e)
        {
            propertyGrid.SelectedObject = AllSettings.Default;
        }

        private void SettingsPage_FormClosing(object sender, FormClosingEventArgs e)
        {
            Xfinity.Settings.EngineSettings.Save();
            pause.Paused = false;
        }
    }
}