using Microsoft.Xna.Framework;
using Xfinity.AI.Entities;

namespace Xfinity.Weapons
{
    /// <summary>
    /// A weapon.
    /// </summary>
    public class Weapon:PhysicalEntity
    {
        /// <summary>
        /// Constructs a new weapon.
        /// </summary>
        /// <param name="name">The name of the weapon.</param>
        /// <param name="game">The Game.</param>
        public Weapon(string name, Game game)
            : base(name, game)
        {
        }
        /// <summary>
        /// A default weapon.
        /// </summary>
        public Weapon():base("",null)
        {

        }
    }
}
