using Microsoft.Xna.Framework;
using Xfinity.Entities;
using System.Collections.Generic;

namespace Xfinity.AI
{
    public class Squad:LogicalEntity
    {
        private Agent leader;

        public Agent Leader
        {
            get { return leader; }
            set { leader = value; }
        }
        public Squad():this("",null)
        {

        }
        private SquadCollection subTeams = new SquadCollection();

        public SquadCollection SubTeams
        {
            get { return subTeams; }

        }
        private List<Agent> agents = new List<Agent>();

        public List<Agent> Agents
        {
            get { return agents; }
        }

        public void AddAgent(Agent agent)
        {
            agents.Add(agent);
        }
        private TeamType squadType;

        public TeamType SquadType
        {
            get { return squadType; }
            set { squadType = value; }
        }

        public Squad(string name, Game game):base(name,game)
        {

        }
	
    }
}
